package com.zcloud.mapper.datasource.integratedmanagement;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

public interface GateMachineAreaMapper {

    PageData findById(PageData pageData);

    void deleteAll(PageData pageData);

    void save(PageData pageData);

    void edit(PageData pageData);

    List<PageData> datalistPage(Page page);

    List<PageData> getGateMachineCountByCid(PageData pageData);

    List<PageData> getGateMachineList(PageData pageData);

}
